// AU.CPP									 1		  1    6666
// Dave Harris								11		 11   6
// Compiled using Borland C++ ver 3.1	   1 1		1 1   6666
// 12-12-94 								 1	 ..   1   6   6
//										   11111 .. 11111  666
////////////////////////////////////////////////////////////////////////

#include "au.hpp"

AU::AU(char *argv[], char *environment[], long mem)
{
	memStart	   = mem;

	curVal		   = NULL;
	curOpt[0]	   = '\0';

	sub_dirs	   = 0;
	current_color  = 7;

	debug		   = FALSE;
	dirs_only	   = FALSE;
	simulate	   = FALSE;
	show_execute   = FALSE;
	no_extra	   = FALSE;
	no_disp_dirs   = FALSE;
	quick_test	   = FALSE;
	allow_rename   = TRUE;
	colorized	   = (BOOLEAN)is_stdout();

	smart		   = ON;
	pause		   = OFF;
	date_retain    = ON;
	self_extracts  = ON;
	unarc_paths    = OFF;
	retest		   = ON;
	recurse 	   = OFF;
	delete_behind  = OFF;
	warn_non_dos   = OFF;
	warn_path	   = OFF;
	warn_hidden    = OFF;
	warn_existing  = OFF;
	answer_y	   = OFF;
	scan_self	   = OFF;

	strcpy(cfg_file, "AU116.CFG");
	cfg_line	   = 0;

	def_file_spec  = NULL;

	getcwd(cur_directory, FLENGTH);  /* hold onto the current directory */
	strcpy(last_dir, cur_directory);
	source_directory[0] = '\0';
	old_source_dir[0]	= '\0';
	dest_directory[0]	= '\0';
	old_dest_dir[0] 	= '\0';

	argv0		   = argv[0];

	output[0]	   = '\0';
	partial[0]	   = '\0';
	look_through[0]= '\0';

	wp_count = 0;

	number_processed = 0;
	number_changed	 = 0;

	memset(flist, '\0', sizeof(flist));
	append_flist[0]  = '\0';
	force_mode		 = 0;
	description[0]	 = '\0';
	desc_file[0]	 = '\0';
	flist_pos		 = 0;

	flist_log[0]	 = '\0';
	problem_log[0]	 = '\0';
	action_log[0]	 = '\0';

	memset(bad_count, 0, sizeof(bad_count));

	rename_to[0]	 = '\0';

	memset(num_processed, 0, sizeof(num_processed));
	y_file[0]		 = '\0';

	scanner[0]		 = '\0';
	SC_Virus_EL 	 = -1;
	SC_NoVirus_EL	 = -1;
	scannerMemNeeded = 0;

	env 			 = environment;
	env_var[0]		 = '\0';
	env_cont[0] 	 = '\0';

	info			 = NULL;
}
